Delete price book
curl --request DELETE \
--url https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}import requests
url = "https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Price Books
Delete a price book
Delete a specific price book from your HubSpot account using its unique identifier. This operation will permanently remove the price book and its associated data, making it unavailable for future use.
DELETE
/
commerce
/
price-books
/
2026-09
/
price-books
/
{priceBookId}
Delete price book
Supported products
Supported products
Required Scopes
Required Scopes
Path Parameters
The unique identifier of the price book to delete.
Response
No content
Last modified on September 9, 2026
Was this page helpful?